# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLTTokenizer Class Reference

Tokenizer used to parse VLT files. More...

`#include <VLTTokenizer.hpp>`

Inheritance diagram for vl::VLTTokenizer:

List of all members.

## Public Member Functions

| VLTTokenizer ()
VLCORE_EXPORT bool | getToken (VLTToken &token)
VLCORE_EXPORT bool | getRawtextBlock (VLTToken &token)
int | lineNumber () const

## Detailed Description

Tokenizer used to parse VLT files.

Definition at line 75 of file VLTTokenizer.hpp.

## Constructor & Destructor Documentation

vl::VLTTokenizer::VLTTokenizer | ( | ) | `[inline]`

Definition at line 80 of file VLTTokenizer.hpp.

## Member Function Documentation

bool VLTTokenizer::getToken | ( | VLTToken & | token ) |

Definition at line 39 of file VLTTokenizer.cpp.

References vl::VLTToken::Boolean, vl::VLTToken::Equals, vl::Log::error(), getRawtextBlock(), vl::VLTToken::ID, vl::VLTToken::Identifier, vl::VLTToken::Integer, vl::BufferedStream< char, 128 *1024 >::isEndOfFile(), vl::VLTToken::LeftCurlyBracket, vl::VLTToken::LeftFancyBracket, vl::VLTToken::LeftRoundBracket, vl::VLTToken::LeftSquareBracket, vl::BufferedStream< char, 128 *1024 >::mBuffer, vl::VLTToken::mString, vl::VLTToken::mType, vl::Object::operator=(), vl::operator==(), vl::BufferedStream< char, 128 *1024 >::readTextChar(), vl::VLTToken::RightCurlyBracket, vl::VLTToken::RightFancyBracket, vl::VLTToken::RightRoundBracket, vl::VLTToken::RightSquareBracket, vl::VLTToken::String, vl::VLTToken::TagHeader, vl::VLTToken::TOKEN_EOF, vl::VLTToken::TOKEN_ERROR, and vl::BufferedStream< char, 128 *1024 >::ungetToken().

bool VLTTokenizer::getRawtextBlock | ( | VLTToken & | token ) |

Definition at line 569 of file VLTTokenizer.cpp.

References vl::VLTToken::mString, vl::VLTToken::mType, vl::VLTToken::RawtextBlock, vl::BufferedStream< char, 128 *1024 >::readTextChar(), vl::VLTToken::TOKEN_ERROR, and vl::BufferedStream< char, 128 *1024 >::ungetToken().

Referenced by getToken().

int vl::VLTTokenizer::lineNumber | ( | ) | const`[inline]`

Definition at line 86 of file VLTTokenizer.hpp.

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLTTokenizer.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLTTokenizer.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:16.
Permission is granted to use this page to write and publish articles regarding Visualization Library.